Package org.apache.lucene.index

# Interface IndexSorter.SortedDocValuesProvider

Enclosing interface:
  `IndexSorter`

public static interface IndexSorter.SortedDocValuesProvider
Provide a SortedDocValues instance for a LeafReader

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SortedDocValues`
  `get(LeafReader reader)`
  Returns the SortedDocValues instance for this LeafReader

- ## Method Details

  - ### get

    SortedDocValues get(LeafReader reader) throws IOException
    Returns the SortedDocValues instance for this LeafReader
    Throws:
      `IOException`